Bug 299497 - 'remove attachment' removes all hints that there was an attachment!
Summary: 'remove attachment' removes all hints that there was an attachment!
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: commands and actions (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-06 12:16 UTC by Axel Braun
Modified: 2012-06-04 18:00 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Braun 2012-05-06 12:16:37 UTC
Running KDE 4.8.2, if you remove an attachment from a mail, it is not visible anymore that there was every an attachment.
This prevents traceability

Reproducible: Always

Steps to Reproduce:
1. Remove attachment from a mail
2.
3.
Actual Results:  
Nothing is displayed in the message that there was ever an attachment on the mail

Expected Results:  
in KMail1, a line
The attachment <name_of_file> was removed
is displayed. that should be in KMail2 as well
Comment 1 Laurent Montel 2012-06-04 17:58:51 UTC
Git commit 07ca5c17a18e227dc28c0a8bffda41482b3ef6a2 by Montel Laurent.
Committed on 04/06/2012 at 19:57.
Pushed by mlaurent into branch 'master'.

Bug 285153 - kmail2: missing filename entry in message body after

deleting attachment

Fixed as on thunderbird.
Related: bug 285153

FIXED-IN: 4.8.5

M  +56   -3    messageviewer/viewer_p.cpp

http://commits.kde.org/kdepim/07ca5c17a18e227dc28c0a8bffda41482b3ef6a2
Comment 2 Laurent Montel 2012-06-04 18:00:14 UTC
Git commit 110b0a29428e7654a3995f7ac4be0019155f7027 by Montel Laurent.
Committed on 04/06/2012 at 19:57.
Pushed by mlaurent into branch 'KDE/4.8'.

Bug 285153 - kmail2: missing filename entry in message body after

deleting attachment

Fixed as on thunderbird.
Related: bug 285153

FIXED-IN: 4.8.5
(cherry picked from commit 07ca5c17a18e227dc28c0a8bffda41482b3ef6a2)

Conflicts:

	messageviewer/viewer_p.cpp

M  +55   -2    messageviewer/viewer_p.cpp

http://commits.kde.org/kdepim/110b0a29428e7654a3995f7ac4be0019155f7027